ReadySetGoParser Class Reference documentation

ReadySetGoParser Class Referencefinal

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5,6.0 file More...

`#include <ReadySetGoParser.hxx>`

Inheritance diagram for ReadySetGoParser:

## Public Member Functions
| ReadySetGoParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~ReadySetGoParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| the main parse function
bool | isDesignStudioFile () const
| returns true if the file is a design studio 2 file
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readDocument ()
| try to read the document header: v3
bool | readIdsList ()
| try to read an unknown list of IDs: v3
bool | readGlossary ()
| try to read the glossary text list: v4
bool | readObjectGlossary ()
| try to read the glossary object list: v6
bool | readFontsUnknown ()
| try to read an unknown font zone: v6
bool | readZone11 ()
| try to read an unknown zone: v6
bool | readPrintInfo ()
| try to read the print info zone
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< ReadySetGoGraph > | m_graphParser
| the graph parser
std::shared_ptr< ReadySetGoStyleManager > | m_styleManager
| the style manager
std::shared_ptr< ReadySetGoParserInternal::State > | m_state
| the state

## Friends
class | ReadySetGoGraph
class | ReadySetGoStyleManager

## Detailed Description

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5,6.0 file

Note
  as I found a bunch of 7.7 demo files, I try to make the parser to accept them without garanty

## Constructor & Destructor Documentation

## ◆ ReadySetGoParser()

ReadySetGoParser::ReadySetGoParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~ReadySetGoParser()

ReadySetGoParser::~ReadySetGoParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool ReadySetGoParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse(), and ReadySetGoStyleManager.

## ◆ createDocument()

void ReadySetGoParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse(), and ReadySetGoStyleManager.

## ◆ createZones()

bool ReadySetGoParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse(), and ReadySetGoStyleManager.

## ◆ isDesignStudioFile()

bool ReadySetGoParser::isDesignStudioFile | ( |  | ) | const

returns true if the file is a design studio 2 file

Note
  in this case, version() will return 6

Referenced by createZones(), readDocument(), and ReadySetGoStyleManager.

## ◆ parse()

void ReadySetGoParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| finalvirtual

the main parse function

Implements MWAWGraphicParser.

Referenced by ReadySetGoStyleManager.

## ◆ readDocument()

bool ReadySetGoParser::readDocument | ( |  | ) |
| protected

try to read the document header: v3

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readFontsUnknown()

bool ReadySetGoParser::readFontsUnknown | ( |  | ) |
| protected

try to read an unknown font zone: v6

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readGlossary()

bool ReadySetGoParser::readGlossary | ( |  | ) |
| protected

try to read the glossary text list: v4

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readIdsList()

bool ReadySetGoParser::readIdsList | ( |  | ) |
| protected

try to read an unknown list of IDs: v3

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readObjectGlossary()

bool ReadySetGoParser::readObjectGlossary | ( |  | ) |
| protected

try to read the glossary object list: v6

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readPrintInfo()

bool ReadySetGoParser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by createZones(), and ReadySetGoStyleManager.

## ◆ readZone11()

bool ReadySetGoParser::readZone11 | ( |  | ) |
| protected

try to read an unknown zone: v6

Referenced by createZones(), and ReadySetGoStyleManager.

## Friends And Related Symbol Documentation

## ◆ ReadySetGoGraph

friend class ReadySetGoGraph
| friend

Referenced by ReadySetGoGraph, and ReadySetGoParser().

## ◆ ReadySetGoStyleManager

friend class ReadySetGoStyleManager
| friend

Referenced by ReadySetGoParser(), and ReadySetGoStyleManager.

## Member Data Documentation

## ◆ m_graphParser

std::shared_ptr<ReadySetGoGraph> ReadySetGoParser::m_graphParser
| protected

the graph parser

Referenced by createDocument(), createZones(), parse(), readObjectGlossary(), and ReadySetGoParser().

## ◆ m_state

std::shared_ptr<ReadySetGoParserInternal::State> ReadySetGoParser::m_state
| protected

the state

Referenced by checkHeader(), createZones(), isDesignStudioFile(), readDocument(), readGlossary(), readObjectGlossary(), and ReadySetGoParser().

## ◆ m_styleManager

std::shared_ptr<ReadySetGoStyleManager> ReadySetGoParser::m_styleManager
| protected

the style manager

Referenced by createZones(), readGlossary(), and ReadySetGoParser().

The documentation for this class was generated from the following files:

- ReadySetGoParser.hxx
- ReadySetGoParser.cxx